/**
 * @file
 * Provides some configurations for the tablesorter.
 */

(function ($) {
  Drupal.behaviors.pp_taxonomy_manager  = {
    attach: function () {
      // Make the project tables sortable if tablesorter is available.
      if ($.isFunction($.fn.tablesorter)) {
        $("table#pp-taxonomy-manager-configurations-table").tablesorter({
          widgets: ["zebra"],
          widgetOptions: {
            zebra: ["odd", "even"]
          },
          sortList: [[0, 0]],
          headers: {
            3: { sorter: false },
            4: { sorter: false }
          }
        });

        $("table#pp-taxonomy-manager-interconnection-table").tablesorter({
          widgets: ["zebra"],
          widgetOptions: {
            zebra: ["odd", "even"]
          },
          sortList: [[1, 1], [0, 0]]
        });

        $("table#pp-taxonomy-manager-powertagging-table").tablesorter({
          widgets: ["zebra"],
          widgetOptions: {
            zebra: ["odd", "even"]
          },
          sortList: [[0, 0]]
        });
      }

    }
  };

})(jQuery);
